Last Comment Bug 833336 - Needinfo tries to match the needinfo user even when you decided you didn't need info
: Needinfo tries to match the needinfo user even when you decided you didn't ne...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Needinfo (show other bugs)
: Production
: x86_64 Linux
: -- minor (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 06:49 PST by Benjamin Smedberg [:bsmedberg]
Modified: 2013-01-23 00:29 PST (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (1.35 KB, patch)
2013-01-22 07:01 PST, Byron Jones ‹:glob› [PTO until 2017-01-09]
dkl: review+
Details | Diff | Splinter Review

Description Benjamin Smedberg [:bsmedberg] 2013-01-22 06:49:49 PST
If you started to request needinfo from a specific person and then discover that the person doesn't have a bugzilla account (or you just can't find them), the needinfo extension still won't let you change the bug.

Steps to reproduce:
* Comment in a bug
* In the bug, choose needinfo: "other" and start typing "bamboo"
* bamboo is not unique and the person you wanted is not present. So instead clear the needinfo checkbox
* Hit submit

Expected:
* The bug comment will be submitted, but no needinfo will be applied

Actual:
* Bugzilla prompts me to choose somebody who matches "bamboo".
Comment 1 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-01-22 07:01:48 PST
Created attachment 704874 [details] [diff] [review]
patch v1

only do user matching when the needinfo checkbox is checked.
Comment 2 David Lawrence [:dkl] 2013-01-22 13:30:17 PST
Comment on attachment 704874 [details] [diff] [review]
patch v1

Review of attachment 704874 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me and fixes the issue. r=dkl
Comment 3 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-01-23 00:29:33 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
modified extensions/Needinfo/Extension.pm
Committed revision 8449.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/Needinfo/Extension.pm
Committed revision 8513.

Note You need to log in before you can comment on or make changes to this bug.